#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
#  データ変換
#
#　　出力されたデータファイルから必要なデータのみ抽出する。
#


import sys
import math

#位相を算出
def getPhi(i, j):
    pai = 3.14159265358979
    if i>=0 and j >=0:      #第1象限
        phi = math.atan(j / i) * 180 / pai
    elif i<0 and j>=0:       #第2象限
        phi = math.atan(j / i) * 180 / pai + 180
    elif i<0 and j<0:       #第3象限
        phi = math.atan(j / i) * 180 / pai - 180.0
    elif i>0 and j<0:       #第4象限
        phi = math.atan(j / i) * 180 / pai
    return phi 

#
#ファイルの読み込み
f = open('out.resu')
lines = f.readlines()
f.close()

getline = '\nHz name pos DXi DYi DZi DXj DYj DZj DX DY DZ phiX phiY phiZ' 
print getline

#データ抽出
i=0
while i<len(lines):
    if lines[i][0:8] == ' ------>' :				#この文字列から4,5行目を抽出する。
        line = []
        name = lines[i+1].split()[-1]
        freq = lines[i+2].split()[-1]
        words1 = lines[i+4].split()
        words2 = lines[i+5].split()
        node = words1[0]
        DXi = words1[1]
        DYi = words1[2]
        DZi = words1[3]
        DXj = words2[0]
        DYj = words2[1]
        DZj = words2[2]
        line.append(freq)
        line.append(name)
        line.append(node)
        line.append(DXi)
        line.append(DYi)
        line.append(DZi)
        line.append(DXj)
        line.append(DYj)
        line.append(DZj)

        DX = str((float(DXi)**2 + float(DXj)**2)**0.5)
        DY = str((float(DYi)**2 + float(DYj)**2)**0.5)
        DZ = str((float(DZi)**2 + float(DZj)**2)**0.5)
        line.append(DX)
        line.append(DY)
        line.append(DZ)

        phix = str(getPhi(float(DXi),float(DXj)))
        phiy = str(getPhi(float(DYi),float(DYj)))
        phiz = str(getPhi(float(DZi),float(DZj)))
        line.append(phix)
        line.append(phiy)
        line.append(phiz)

        getline = " ".join(line)
        print getline
        i += 5
    i += 1

